Bug 133685 - Tomcat package doesn't allow a security manager
Tomcat package doesn't allow a security manager
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-26 06:42 EDT by Jan Röhrich
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 12:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Röhrich 2004-09-26 06:42:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Epiphany/1.0.8

Description of problem:
in /etc/init.d/tomcat there is a variable called "SECURITY_MANAGER"
which defaults to "no". With this configuration tomcat starts without
problems. But if I try to have a security manager and set
SECURITY_MANAGER=yes I get to following output on the console while
restarting tomcat:

>service tomcat restart
tomcat beenden:
tomcat starten: tomcat: unrecognized option -- `-security'
Try `tomcat --help' for more information.


Version-Release number of selected component (if applicable):
4.1.27

How reproducible:
Always

Steps to Reproduce:
setting SECURITY_MANAGER=yes

Expected Results:  Tomcat should start in secured mode

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:40:08 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-28 12:49:18 EDT
FC1 and FC2 are no longer supported even by Fedora Legacy, and this bug refers
to tomcat version 4.x, last shipped in FC2.  tomcat5 replaced it, and has quite
a few differences, so please retest the bug.  If this still occurs on FC3 or
FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.